Bug 478109 - MIGRATED_FROM_JIRA: Pb compiling core.schema
MIGRATED_FROM_JIRA: Pb compiling core.schema
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:00 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:00:02 EST
The core schema does not compile correctly using schema.sh. There is a pb with 

objectclass ( 1.3.6.1.4.1.250.3.15 NAME 'labeledURIObject'

	DESC 'RFC2079: object that contains the URI attribute type'

	MAY ( labeledURI )
	SUP top AUXILIARY 
)

It should be :
 

objectclass ( 1.3.6.1.4.1.250.3.15 NAME 'labeledURIObject'

	DESC 'RFC2079: object that contains the URI attribute type'

	SUP top AUXILIARY 

	MAY ( labeledURI ) )


(note the switch of the two last lines)
Additional Comments From endisd dated Wed Nov 30 22:28:58 CST 2005 
This has been fixed in 0.9.8.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'reporter' => 'elecharny',
          'key' => 'PENROSE-121',
          'assignee' => 'endisd',
          'summary' => 'Pb compiling core.schema',
          'id' => '10343',
          'updated' => '2005-11-30 22:28:58.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-12-05 00:00:00.0',
                             'sequence' => '8',
                             'name' => 'Penrose-0.9.8',
                             'released' => 'true',
                             'id' => '10034',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'The core schema does not compile correctly using schema.sh. There is a pb with 

objectclass ( 1.3.6.1.4.1.250.3.15 NAME 'labeledURIObject'

	DESC 'RFC2079: object that contains the URI attribute type'

	MAY ( labeledURI )
	SUP top AUXILIARY 
)

It should be :
 

objectclass ( 1.3.6.1.4.1.250.3.15 NAME 'labeledURIObject'

	DESC 'RFC2079: object that contains the URI attribute type'

	SUP top AUXILIARY 

	MAY ( labeledURI ) )


(note the switch of the two last lines)',
          'created' => '2005-11-23 14:52:40.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:00:04 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-121

Note You need to log in before you can comment on or make changes to this bug.